First time here? Check out the FAQ!
x

Compatibility with Firefox 38.0.5?

0 votes
asked by about Citi Virtual Account Numbers
edited by

Compatibility with Firefox 38.0.5?

1 Answer

0 votes
answered by (309k points)
edited by

According to the various problems specified on major forums, the software is having issues with Firefox. Yes, it works with Firefox, but nothing has been mentioned about supported versions of the Firefox browser. You will have to try it by yourself to see if it works or not.

You can use the guide on the Firefox website to install an older version of the browser: https://support.mozilla.org/en-US/kb/install-older-version-of-firefox

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...